/* Copyright (C) 2001,2008 Martijn van Iersel and Jules Beulen
 * This program is released under the terms of the zlib license
 * See license.txt for details
 */
#ifndef HISCORE_H
#define HISCORE_H

#include <allegro.h>

class HiScore
{
private:
    char hiname[10][31];
    int hitreasures[10];
    int hitime[10];
    int hiscore[10];// for hiscore
    void save ();
    void setDefault ();
    int score, pos;
    int currentplayernr;
    int currenttreasures;
    int currenttime;
    char name[31];
    bool isfinished;
    void outputLine (BITMAP *buffer, int x,  int textline);
public:
    void load ();
    void update ();
    void draw (BITMAP *buffer, BITMAP *title, BITMAP *panel);
    void activate ();
    void display (BITMAP *buffer, BITMAP *title, BITMAP *panel);
    void enter (int playernr, int pscore, int ptime);
    void sort ();
    bool finished ();
};

#endif
